Subject: Re: Passive OS fingerprint xtables match.

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 13 Feb 2009 15:49:46 +0300

Hi Patrick.

On Mon, Feb 09, 2009 at 05:09:21PM +0100, Patrick McHardy ([email-masked]) wrote:
> Sorry for ignoring this for so long. I really don't have much of an
> opinion on this except for what I said before:
> 
> - I would prefer a mechanism built on u32 if possible

u32 actually can not be used here, since it is not possible to implement
a state machine to match different wildcards for MSS for example. Like
modulus operation.

-- 
	Evgeniy Polyakov